Description: Bonjour,

j'utilise la versions Mac installée avec homebrew.

J'ai produit un QCM avec une description AMC-TXT et j'ai spécifié dans I'entéte AMC-TXT.
Mais, le texte avec les instructions pour I'écriture du numéro étudiant est en anglais.

Par contre, d'autres choses sont correctement en frangais. Par exemple, dans le rectangle
pour le nom, il y a correctement "Nom et prénom:".

Sur la version Linux, je n'avais pas ce probleme.

Je joins le pdf du sujet avec I'exemple.

Cordialement

Stefano

History

10/19/2019 09:01 am - Stefano Guerrini
Correction: ... j'ai spécifié dans l'entéte AMC-TXT *Lang: FR*.

10/22/2019 08:02 am - Alexis Bienveniie
Ce texte est traduit dans la langue utilisée pour l'interface graphique. L'option @Lang:@ ne change pas ce comportement.
Vous pouvez modifier ce texte grace a I'option globale @L-Student:@ de AMC-TXT.

10/24/2019 04:20 pm - Stefano Guerrini
Merci pour la réponse.

C'est un peu contre-intuitif que ce texte soit gérer par la langue de l'interface, tandis que l'indication "Nom Prénom" dans le carreau soit gérer par
@Lang:@.

En plus de I'utilisation de $L-Student:@, j'ai trouvé un autre "workaround" plus basique. Moi j'avais pas choisi I'anglais comme langue de l'interface. Vu
que je vais générer de QCM en frangais, j'aurais bien préféré le frangais comme langue. Au fait, il y avait juste un probléme de locale. En langant
I'application sur le terminal, le script n'arrivait pas a sélectionner correctement le locale. En particulier, il choisissez comme langue en_FR, c'est a dire
une variante frangaise de I'anglais, qui clairement n'existe pas et donc l'interface retombait sur I'anglais. J'ai donc crée un petit script @ moi qui avant de
lancer le script auto-multiple-choice section correctement fr_FR comme locale. L'interface démarre en frangais et tout marche comme la version linux

que j'utilisait auparavant.

Cordialement

-s

Alexis Bienvenlie wrote:

> Ce texte est traduit dans la langue utilisée pour l'interface graphique. L'option @Lang:@ ne change pas ce comportement.
> Vous pouvez modifier ce texte grace a l'option globale @L-Student:@ de AMC-TXT.

02/07/2021 03:50 pm - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100
> C'est un peu contre-intuitif
En effet. Ce comportement a été modifié avec git:d62d60a1 et dans la version actuelle 1.5.0~rc1, le texte par défaut de @L-Student@ est celui qui
correspond a la langue donnée dans @Lang@.

Files

DOC-sujet.pdf 473.3kB 10/19/2019 Stefano Guerrini

04/20/2024 22



